<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: PhotonDetectorDataStorage Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>PhotonDetectorDataStorage Class Reference</h1><!-- doxytag: class="PhotonDetectorDataStorage" -->
<p>a class to save the data which was taken by the sensitive detector  
</p>

<p><a href="classPhotonDetectorDataStorage-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorDataStorage.html#a7719746b3e89a6889ff48df36e8a364e">PhotonDetectorDataStorage</a> (G4String hitFileName)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorDataStorage.html#a322475e5f0ecec2c31e6f4be08359756">~PhotonDetectorDataStorage</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorDataStorage.html#a43f891f9f0f1f5f6406378e2ca1376f5">GetHitFileName</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorDataStorage.html#a9dcaa48f12d7ca607bcab9350c93c5ec">GetHitMomentum</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorDataStorage.html#a6396d37f76845ead255b533c724641b7">GetHitPoint</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorDataStorage.html#ac23a2b741becb22583d034149f992415">GetNameOfVolumeThatWasHit</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorDataStorage.html#a312b2fc1654d822ba1804898946add6d">GetPreviousPreStepPointMomentum</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorDataStorage.html#ad7d2ce862fcbda37da65311a1186995d">GetPreviousPreStepPointPolarisation</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorDataStorage.html#a716340a9761f1a5eae4f0234129648a2">GetPreviousPreStepPointPosition</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorDataStorage.html#ac4b70bb787c0ebfb70c0b813951ea854">GetPreviousPreStepPointTime</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorDataStorage.html#adca8beab230376d6d6ae0692b450a6a7">PhotonDetectorWasHit</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorDataStorage.html#a8f8477ebc301c434a4abf0f4aed78938">SavePreviousStepOpticalPhotonData</a> (const G4Step *step)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorDataStorage.html#a8fe9d36b0f8275952876b581fd82fc33">SetDefaults</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorDataStorage.html#afa64e2fb6f794353fa7ba0ce21905c49">SetHitMomentum</a> (G4ThreeVector hitmomentum)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorDataStorage.html#a967b50ccb8b31637724f4ece8471c5a0">SetHitPoint</a> (G4ThreeVector hitPoint)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorDataStorage.html#a170219ef21e36688dcb9d1c7c9804837">SetNameOfVolumeThatWasHit</a> (G4String hitVolumeName)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorDataStorage.html#a40dca165b7166b1f0f0a2b02ec74cc81">SetPhotonDetectorWasHit</a> ()</td></tr>
</table>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a7719746b3e89a6889ff48df36e8a364e"></a><!-- doxytag: member="PhotonDetectorDataStorage::PhotonDetectorDataStorage" ref="a7719746b3e89a6889ff48df36e8a364e" args="(G4String hitFileName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PhotonDetectorDataStorage::PhotonDetectorDataStorage </td>
          <td>(</td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>hitFileName</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Constructor:</p>
<ul>
<li>sets class variables to default values </li>
</ul>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>hitFileName</em>&nbsp;</td><td>path of the text file to which the data of the hitting optical photons should be written </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a322475e5f0ecec2c31e6f4be08359756"></a><!-- doxytag: member="PhotonDetectorDataStorage::~PhotonDetectorDataStorage" ref="a322475e5f0ecec2c31e6f4be08359756" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PhotonDetectorDataStorage::~PhotonDetectorDataStorage </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Destructor (empty) </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a43f891f9f0f1f5f6406378e2ca1376f5"></a><!-- doxytag: member="PhotonDetectorDataStorage::GetHitFileName" ref="a43f891f9f0f1f5f6406378e2ca1376f5" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String PhotonDetectorDataStorage::GetHitFileName </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>path of the text file, which the data needed to resimulate a photon that hit the sensitive detector is written into </dd></dl>

</div>
</div>
<a class="anchor" id="a9dcaa48f12d7ca607bcab9350c93c5ec"></a><!-- doxytag: member="PhotonDetectorDataStorage::GetHitMomentum" ref="a9dcaa48f12d7ca607bcab9350c93c5ec" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector PhotonDetectorDataStorage::GetHitMomentum </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>particle's momentum when hitting the sensitive detector </dd></dl>

</div>
</div>
<a class="anchor" id="a6396d37f76845ead255b533c724641b7"></a><!-- doxytag: member="PhotonDetectorDataStorage::GetHitPoint" ref="a6396d37f76845ead255b533c724641b7" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector PhotonDetectorDataStorage::GetHitPoint </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>position of the sensitive detector's hit </dd></dl>

</div>
</div>
<a class="anchor" id="ac23a2b741becb22583d034149f992415"></a><!-- doxytag: member="PhotonDetectorDataStorage::GetNameOfVolumeThatWasHit" ref="ac23a2b741becb22583d034149f992415" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String PhotonDetectorDataStorage::GetNameOfVolumeThatWasHit </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>name of the sensitive detector's volume that was hit </dd></dl>

</div>
</div>
<a class="anchor" id="a312b2fc1654d822ba1804898946add6d"></a><!-- doxytag: member="PhotonDetectorDataStorage::GetPreviousPreStepPointMomentum" ref="a312b2fc1654d822ba1804898946add6d" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector PhotonDetectorDataStorage::GetPreviousPreStepPointMomentum </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>start momentum (for resimulation purpose) of a photon hitting the sensitive detector </dd></dl>

</div>
</div>
<a class="anchor" id="ad7d2ce862fcbda37da65311a1186995d"></a><!-- doxytag: member="PhotonDetectorDataStorage::GetPreviousPreStepPointPolarisation" ref="ad7d2ce862fcbda37da65311a1186995d" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector PhotonDetectorDataStorage::GetPreviousPreStepPointPolarisation </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>polarisation (for resimulation purpose) of a photon hitting the sensitive detector. </dd></dl>

</div>
</div>
<a class="anchor" id="a716340a9761f1a5eae4f0234129648a2"></a><!-- doxytag: member="PhotonDetectorDataStorage::GetPreviousPreStepPointPosition" ref="a716340a9761f1a5eae4f0234129648a2" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector PhotonDetectorDataStorage::GetPreviousPreStepPointPosition </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>start position (for resimulation purpose) of a photon hitting the sensitive detector </dd></dl>

</div>
</div>
<a class="anchor" id="ac4b70bb787c0ebfb70c0b813951ea854"></a><!-- doxytag: member="PhotonDetectorDataStorage::GetPreviousPreStepPointTime" ref="ac4b70bb787c0ebfb70c0b813951ea854" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4double PhotonDetectorDataStorage::GetPreviousPreStepPointTime </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>start time (for resimulation purpose) of a photon hitting the sensitive detector </dd></dl>

</div>
</div>
<a class="anchor" id="adca8beab230376d6d6ae0692b450a6a7"></a><!-- doxytag: member="PhotonDetectorDataStorage::PhotonDetectorWasHit" ref="adca8beab230376d6d6ae0692b450a6a7" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4bool PhotonDetectorDataStorage::PhotonDetectorWasHit </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td> const<code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>G4bool, if the sensitive detector was hit </dd></dl>

</div>
</div>
<a class="anchor" id="a8f8477ebc301c434a4abf0f4aed78938"></a><!-- doxytag: member="PhotonDetectorDataStorage::SavePreviousStepOpticalPhotonData" ref="a8f8477ebc301c434a4abf0f4aed78938" args="(const G4Step *step)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PhotonDetectorDataStorage::SavePreviousStepOpticalPhotonData </td>
          <td>(</td>
          <td class="paramtype">const G4Step *&nbsp;</td>
          <td class="paramname"> <em>step</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save the data needed to resimulate a photon that hit the sensitive detector. It has to be processed for every step (i.e. in the <a class="el" href="classSteppingAction.html" title=" (Part of the example simulation and not belonging to GODDeSS.)  Defines actions...">SteppingAction</a>) </p>

</div>
</div>
<a class="anchor" id="a8fe9d36b0f8275952876b581fd82fc33"></a><!-- doxytag: member="PhotonDetectorDataStorage::SetDefaults" ref="a8fe9d36b0f8275952876b581fd82fc33" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PhotonDetectorDataStorage::SetDefaults </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to set the class variables to default values: </p>

<p><ul>
<li>start time (for resimulation purpose) of a photon hitting the sensitive detector <div class="fragment"><pre class="fragment"> PreviousPreStepPointTime = G4ThreeVector(); 
</pre></div></li>
</ul>
<ul>
<li>start position (for resimulation purpose) of a photon hitting the sensitive detector <div class="fragment"><pre class="fragment"> PreviousPreStepPointPosition = G4ThreeVector(); 
</pre></div></li>
</ul>
<ul>
<li>start momentum (for resimulation purpose) of a photon hitting the sensitive detector <div class="fragment"><pre class="fragment"> PreviousPreStepPointMomentum = G4ThreeVector(); 
</pre></div></li>
</ul>
<ul>
<li>polarisation (for resimulation purpose) of a photon hitting the sensitive detector <div class="fragment"><pre class="fragment"> PreviousPreStepPointPolarisation = G4ThreeVector(); 
</pre></div></li>
</ul>
<ul>
<li>G4bool, if the sensitive detector was hit <div class="fragment"><pre class="fragment"> PhotonDetectorHit = <span class="keyword">false</span>; 
</pre></div></li>
</ul>
<ul>
<li>position of the sensitive detector's hit <div class="fragment"><pre class="fragment"> HitPoint = G4ThreeVector(); 
</pre></div></li>
</ul>
<ul>
<li>particle's momentum when hitting the sensitive detector <div class="fragment"><pre class="fragment"> HitMomentum = G4ThreeVector(); 
</pre></div></li>
</ul>
<ul>
<li>time of the sensitive detector's hit <div class="fragment"><pre class="fragment"> HitTime = NAN; 
</pre></div></li>
</ul>
<ul>
<li>name of the sensitive detector's volume that was hit <div class="fragment"><pre class="fragment"> HitVolumeName = <span class="stringliteral">&quot;&quot;</span>; 
</pre></div> </li>
</ul>
</p>

</div>
</div>
<a class="anchor" id="afa64e2fb6f794353fa7ba0ce21905c49"></a><!-- doxytag: member="PhotonDetectorDataStorage::SetHitMomentum" ref="afa64e2fb6f794353fa7ba0ce21905c49" args="(G4ThreeVector hitmomentum)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PhotonDetectorDataStorage::SetHitMomentum </td>
          <td>(</td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>hitmomentum</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save the particle's momentum when hitting the sensitive detector. </p>

</div>
</div>
<a class="anchor" id="a967b50ccb8b31637724f4ece8471c5a0"></a><!-- doxytag: member="PhotonDetectorDataStorage::SetHitPoint" ref="a967b50ccb8b31637724f4ece8471c5a0" args="(G4ThreeVector hitPoint)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PhotonDetectorDataStorage::SetHitPoint </td>
          <td>(</td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>hitPoint</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save the position in which the sensitive detector's hit. </p>

</div>
</div>
<a class="anchor" id="a170219ef21e36688dcb9d1c7c9804837"></a><!-- doxytag: member="PhotonDetectorDataStorage::SetNameOfVolumeThatWasHit" ref="a170219ef21e36688dcb9d1c7c9804837" args="(G4String hitVolumeName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PhotonDetectorDataStorage::SetNameOfVolumeThatWasHit </td>
          <td>(</td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>hitVolumeName</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to save the name of the sensitive detector's volume that was hit. </p>

</div>
</div>
<a class="anchor" id="a40dca165b7166b1f0f0a2b02ec74cc81"></a><!-- doxytag: member="PhotonDetectorDataStorage::SetPhotonDetectorWasHit" ref="a40dca165b7166b1f0f0a2b02ec74cc81" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PhotonDetectorDataStorage::SetPhotonDetectorWasHit </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to change the G4bool, if the sensitive detector was hit, to "true". </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 3 Feb 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
